| NUC029FAE_BSP V3.02.000 The Board Support Package for NUC029FAE MCU

Modules
NVIC Functions
Defines and Type Definitions » Status and Control Registers » Nested Vectored Interrupt Controller (NVIC) » System Control Block (SCB) » System Tick Timer (SysTick) » Core Debug Registers (CoreDebug) » Core register bit field macros » Core Definitions | Defines and Type Definitions » Status and Control Registers » Nested Vectored Interrupt Controller (NVIC) » System Control Block (SCB) » System Tick Timer (SysTick) » Core Debug Registers (CoreDebug) » Core register bit field macros » Core Definitions » Functions and Instructions Reference

Functions that manage interrupts and exceptions via the NVIC. More...

Collaboration diagram for NVIC Functions:

## Modules
| SysTick Functions
| Functions that configure the System.
__STATIC_INLINE void | NVIC_EnableIRQ (IRQn_Type IRQn)
| Enable External Interrupt. More...
__STATIC_INLINE void | NVIC_DisableIRQ (IRQn_Type IRQn)
| Disable External Interrupt. More...
__STATIC_INLINE uint32_t | NVIC_GetPendingIRQ (IRQn_Type IRQn)
| Get Pending Interrupt. More...
__STATIC_INLINE void | NVIC_SetPendingIRQ (IRQn_Type IRQn)
| Set Pending Interrupt. More...
__STATIC_INLINE void | NVIC_ClearPendingIRQ (IRQn_Type IRQn)
| Clear Pending Interrupt. More...
__STATIC_INLINE void | NVIC_SetPriority (IRQn_Type IRQn, uint32_t priority)
| Set Interrupt Priority. More...
__STATIC_INLINE uint32_t | NVIC_GetPriority (IRQn_Type IRQn)
| Get Interrupt Priority. More...
__STATIC_INLINE void | NVIC_SystemReset (void)
| System Reset. More...
#define | _BIT_SHIFT(IRQn) ( ((((uint32_t)(int32_t)(IRQn)) ) & 0x03UL) * 8UL)
#define | _SHP_IDX(IRQn) ( (((((uint32_t)(int32_t)(IRQn)) & 0x0FUL)-8UL) >> 2UL) )
#define | _IP_IDX(IRQn) ( (((uint32_t)(int32_t)(IRQn)) >> 2UL) )

## Detailed Description

Functions that manage interrupts and exceptions via the NVIC.

## Macro Definition Documentation

## ◆ _BIT_SHIFT

#define _BIT_SHIFT | ( |  | IRQn | ) | ( ((((uint32_t)(int32_t)(IRQn)) ) & 0x03UL) * 8UL)

Definition at line 619 of file core_cm0.h.

## ◆ _IP_IDX

#define _IP_IDX | ( |  | IRQn | ) | ( (((uint32_t)(int32_t)(IRQn)) >> 2UL) )

Definition at line 621 of file core_cm0.h.

## ◆ _SHP_IDX

#define _SHP_IDX | ( |  | IRQn | ) | ( (((((uint32_t)(int32_t)(IRQn)) & 0x0FUL)-8UL) >> 2UL) )

Definition at line 620 of file core_cm0.h.

## Function Documentation

## ◆ NVIC_ClearPendingIRQ()

__STATIC_INLINE void NVIC_ClearPendingIRQ | ( | IRQn_Type | IRQn | ) |

Clear Pending Interrupt.

Clears the pending bit of an external interrupt.

Parameters

  [in] | IRQn | External interrupt number. Value cannot be negative.

Definition at line 675 of file core_cm0.h.

## ◆ NVIC_DisableIRQ()

__STATIC_INLINE void NVIC_DisableIRQ | ( | IRQn_Type | IRQn | ) |

Disable External Interrupt.

Disables a device-specific interrupt in the NVIC interrupt controller.

Parameters

  [in] | IRQn | External interrupt number. Value cannot be negative.

Definition at line 640 of file core_cm0.h.

## ◆ NVIC_EnableIRQ()

__STATIC_INLINE void NVIC_EnableIRQ | ( | IRQn_Type | IRQn | ) |

Enable External Interrupt.

Enables a device-specific interrupt in the NVIC interrupt controller.

Parameters

  [in] | IRQn | External interrupt number. Value cannot be negative.

Definition at line 629 of file core_cm0.h.

## ◆ NVIC_GetPendingIRQ()

__STATIC_INLINE uint32_t NVIC_GetPendingIRQ | ( | IRQn_Type | IRQn | ) |

Get Pending Interrupt.

Reads the pending register in the NVIC and returns the pending bit for the specified interrupt.

Parameters

  [in] | IRQn | Interrupt number.

Returns
  0 Interrupt status is not pending.
  1 Interrupt status is pending.

Definition at line 653 of file core_cm0.h.

## ◆ NVIC_GetPriority()

__STATIC_INLINE uint32_t NVIC_GetPriority | ( | IRQn_Type | IRQn | ) |

Get Interrupt Priority.

Reads the priority of an interrupt. The interrupt number can be positive to specify an external (device specific) interrupt, or negative to specify an internal (core) interrupt.

Parameters

  [in] | IRQn | Interrupt number.

Returns
  Interrupt Priority. Value is aligned automatically to the implemented priority bits of the microcontroller.

Definition at line 712 of file core_cm0.h.

## ◆ NVIC_SetPendingIRQ()

__STATIC_INLINE void NVIC_SetPendingIRQ | ( | IRQn_Type | IRQn | ) |

Set Pending Interrupt.

Sets the pending bit of an external interrupt.

Parameters

  [in] | IRQn | Interrupt number. Value cannot be negative.

Definition at line 664 of file core_cm0.h.

## ◆ NVIC_SetPriority()

__STATIC_INLINE void NVIC_SetPriority | ( | IRQn_Type | IRQn,
|  | uint32_t | priority
| ) |  |

Set Interrupt Priority.

Sets the priority of an interrupt.

Note
  The priority cannot be set for every core interrupt.

Parameters

  [in] | IRQn | Interrupt number.
  [in] | priority | Priority to set.

Definition at line 688 of file core_cm0.h.

Here is the caller graph for this function:

## ◆ NVIC_SystemReset()

__STATIC_INLINE void NVIC_SystemReset | ( | void |  | ) |

System Reset.

Initiates a system reset request to reset the MCU.

Definition at line 730 of file core_cm0.h.